Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.api.peer
Class JPEGBuilderPeer

    java.lang.Object
      |
      +--com.macromedia.generator.api.peer.JPEGBuilderPeer

public class JPEGBuilderPeer
extends java.lang.Object

Constructor Summary
`JPEGBuilderPeer()`

Method Summary
`(package private) static void` | `()`
`static int` | `Build(int i, int j, int k)`
`static int` | `New()`
`static int` | `Release(int i)`
`static int` | `SetDimensions(int i, int j, int k)`
`static int` | `SetExactFit(int i, boolean flag)`
`static int` | `SetProgressive(int i, boolean flag)`
`static int` | `SetQuality(int i, int j)`
`static int` | `SetSerial(int i, int j)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JPEGBuilderPeer

    public JPEGBuilderPeer()

Method Detail

### Build

    public static int Build(int i,
                            int j,
                            int k)

### New

    public static int New()

### Release

    public static int Release(int i)

### SetDimensions

    public static int SetDimensions(int i,
                                    int j,
                                    int k)

### SetExactFit

    public static int SetExactFit(int i,
                                  boolean flag)

### SetProgressive

    public static int SetProgressive(int i,
                                     boolean flag)

### SetQuality

    public static int SetQuality(int i,
                                 int j)

### SetSerial

    public static int SetSerial(int i,
                                int j)

###

    static void ()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD